
LDAP_TIMEOUT = 10 # seconds
LDAP_RETRIES = 5

class DSError(Exception):
    pass

class Timeout(DSError):
    pass

class ConnectError(DSError):
    pass

class AuthError(DSError):
    pass

class Disconnected(DSError):
    pass

class InsufficientAccessError(DSError):
    def __init__(self, msg=None, *args, **kwargs):
        if not (msg):
            msg = "You are not permitted to perform this operation."
        DSError.__init__(self, msg, *args, **kwargs)
        

NodeFactory = None